<%@ page import = "
java.io.*,
java.awt.*,
com.odesys.chart.*,
com.odesys.chart.image.*,
com.odesys.chart.barchart.*"
contentType="image/jpeg"%><%

// Create and initialize a BarChartImage instance
BarChartImage chart = new BarChartImage();
chart.setSize(400, 300);
chart.setBackground(Color.white);
chart.setFont(new Font("Helvetica", Font.PLAIN, 12));
chart.setCategoryGap(0.0f);
chart.setBarGap(0.4f);
chart.getCategoriesAxis().setName("Categories");
chart.getValuesAxis().setName("Values");
chart.setAxisXPosition(Grid.BOTTOM);

// Set the data into the model
DefaultBarChartModel model = (DefaultBarChartModel)chart.getModel();
model.setUpdateLocked(true);
Series category = model.addCategory();

for(float x = 0; x < 2*Math.PI; x += 0.5f)
{
    Series series = model.addSeries();
    series.setLabel(String.valueOf(x));
    java.util.Enumeration e = series.elements();
    BarData barData = (BarData)e.nextElement();
    barData.setValue((float)(Math.sin(x) + 0.3));
}

// Write the image into a byte array
ByteArrayOutputStream baos = new ByteArrayOutputStream();
chart.write(baos);

// Write the image back to the client
response.setContentLength(baos.size());
OutputStream os = response.getOutputStream();
baos.writeTo(os);

%>