<%@ page import = "
java.io.*,
java.awt.*,
com.odesys.chart.*,
com.odesys.chart.image.*,
com.odesys.chart.bubblechart.*"
contentType="image/jpeg"%><%

// Create and initialize a BubbleChartImage instance
BubbleChartImage chart = new BubbleChartImage();
chart.setSize(400, 300);
chart.setBackground(Color.white);
chart.setFont(new Font("Helvetica", Font.PLAIN, 12));
chart.setLegendVisible(true);
chart.setQuality(0.8f);
chart.getAxisX().setName("x");
chart.getAxisY().setName("y");

// Set the data into the model
DefaultBubbleChartModel model = (DefaultBubbleChartModel)chart.getModel();
model.setUpdateLocked(true);

DefaultSeries series;
BubbleData data;
		
series = (DefaultSeries)model.addSeries();
series.setLabel("Series 1");
data = (BubbleData)series.addElement();
data.setX(10.0f);
data.setY(10.0f);
data.setValue(1.0f);
data.setLabel("1.0");
		
series = (DefaultSeries)model.addSeries();
series.setLabel("Series 2");
data = (BubbleData)series.addElement();
data.setX(3.0f);
data.setY(5.0f);
data.setValue(2.0f);
data.setLabel("2.0");
		
data = (BubbleData)series.addElement();
data.setX(6.2f);
data.setY(5.5f);
data.setValue(1.2f);
data.setLabel("1.2");
		
series = (DefaultSeries)model.addSeries();
series.setLabel("Series 3");
data = (BubbleData)series.addElement();
data.setX(3.5f);
data.setY(9.2f);
data.setValue(4.0f);
data.setLabel("4.0");
		
data = (BubbleData)series.addElement();
data.setX(5.5f);
data.setY(7.5f);
data.setValue(3.0f);
data.setLabel("3.0");

// Write the image into a byte array
ByteArrayOutputStream baos = new ByteArrayOutputStream();
chart.write(baos);

// Write the image back to the client
response.setContentLength(baos.size());
OutputStream os = response.getOutputStream();
baos.writeTo(os);

%>