<%@ page import = "
java.io.*,
java.awt.*,
com.odesys.chart.*,
com.odesys.chart.image.*,
com.odesys.chart.linechart.*"
contentType="image/jpeg"%><%

// Create and initialize a LineChartImage instance
LineChartImage chart = new LineChartImage();
chart.setSize(400, 300);
chart.setBackground(Color.white);
chart.setFont(new Font("Helvetica", Font.ITALIC, 12));
chart.setLegendVisible(true);
chart.setQuality(0.9f);
chart.setDrawVertLines(true);
chart.getAxisX().setName("x");
chart.getAxisY().setName("y");

// Set the data into the model
DefaultLineChartModel model = (DefaultLineChartModel)chart.getModel();
model.setUpdateLocked(true);

PointData data;
DefaultLine line1 = (DefaultLine)model.addSeries();
DefaultLine line2 = (DefaultLine)model.addSeries();
DefaultLine line3 = (DefaultLine)model.addSeries();
DefaultLine line4 = (DefaultLine)model.addSeries();
line1.setStyle(Line.TRIANGLE);
line1.setLabel("Series 1");
line2.setStyle(Line.SQUARE);
line2.setLabel("Series 2");
line3.setStyle(Line.NONE);
line3.setLabel("Series 3");
line4.setStyle(Line.CIRCLE);
line4.setLabel("Series 4");
		
for(float x = 0.0f; x <= 10.0f; x += 0.5f)
{
	data = (PointData)line1.addElement();
	data.setX(x);
	data.setY((float)(Math.sin(x)*Math.exp(-0.1*x)));
			
	data = (PointData)line2.addElement();
	data.setX(x);
	data.setY((float)(Math.cos(x/2)*Math.exp(-0.2*x)));

	data = (PointData)line3.addElement();
	data.setX(x);
	data.setY((float)(Math.exp(-0.2*x)));

	data = (PointData)line4.addElement();
	data.setX(x);
	data.setY((float)(1.0 - Math.exp(-0.1*x)));
}

// Write the image into a byte array
ByteArrayOutputStream baos = new ByteArrayOutputStream();
chart.write(baos);

// Write the image back to the client
response.setContentLength(baos.size());
OutputStream os = response.getOutputStream();
baos.writeTo(os);

%>